> ## Documentation Index
> Fetch the complete documentation index at: https://docs.laburen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent - List



## OpenAPI

````yaml GET /agents
openapi: 3.0.1
info:
  title: Laburen - API OpenAPI specifications
  description: ''
  termsOfService: http://laburen.com/terms
  contact:
    email: support@laburen.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://dashboard.laburen.com/api
security:
  - bearerAuth: []
tags:
  - name: agents
  - name: datastores
  - name: datasources
paths:
  /agents:
    get:
      tags:
        - agents
      summary: List all agents in the authenticated organization.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Agent'
        '403':
          description: Unauthorized
components:
  schemas:
    Agent:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        modelName:
          enum:
            - gpt_4o
            - gpt_4o_mini
            - gpt_41
            - gpt_41_mini
            - gpt_41_nano
            - claude_3_7_sonnet
            - claude_4_sonnet
            - gemini_2_5_flash
            - gemini_2_5_pro
            - grok_3
            - grok_3_beta
            - grok_3_fast_beta
            - grok_3_mini_beta
            - grok_3_mini_fast_beta
            - sonar_pro
            - sonar
            - llama_3_3_70b
            - llama_4_maverick_17b
            - model_route
        temperature:
          type: number
        visibility:
          enum:
            - public
            - private
        systemPrompt:
          type: string
        userPrompt:
          type: string
        handle:
          type: string
        useSuperRetrieval:
          type: boolean
        useFollowUp:
          type: boolean
        promptType:
          deprecated: true
          enum:
            - raw
            - customer_support
        promptTemplate:
          deprecated: true
          type: string
        retrievalEvaluationConfig:
          $ref: '#/components/schemas/RetrievalEvaluationConfig'
        followUpConfig:
          $ref: '#/components/schemas/FollowUpConfig'
        tools:
          type: array
          items:
            $ref: '#/components/schemas/Tool'
    RetrievalEvaluationConfig:
      type: object
      properties:
        evaluatorPrompt:
          type: string
        generateQueryPrompt:
          type: string
        evaluatorModelName:
          type: string
        retrievalRounds:
          type: integer
        evaluationThreshold:
          type: number
        additionalConfig:
          type: object
        retrievalModelName:
          type: string
        generationModelName:
          type: string
        fallbackModels:
          type: array
          items:
            type: string
        modelTemperatures:
          type: object
          additionalProperties:
            type: number
        modelMaxTokens:
          type: object
          additionalProperties:
            type: integer
        enableModelComparison:
          type: boolean
        comparisonModels:
          type: array
          items:
            type: string
    FollowUpConfig:
      type: object
      properties:
        prompt:
          type: string
        count:
          type: integer
        followUpDelayHours:
          type: integer
        config:
          type: object
    Tool:
      type: object
      properties:
        id:
          type: string
        type:
          enum:
            - datastore
            - form
            - http
            - lead_capture
            - deep_search
            - app
            - agent
            - connector
            - mark_as_resolved
            - request_human
        config:
          type: object
        datastoreId:
          type: string
        formId:
          type: string
        serviceProviderId:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````